Enemies={}

function SpawnEnemy(name,type,x,y,arg)

  local enemy={}
  
  enemy.name=name
  enemy.dradius=arg.radius or 0
  enemy.speed=arg.speed or 0
  enemy.treact=arg.react or 0
  
  local init
  local fs="Source.Classes.Entities.Foes." .. type
  init=require(fs)

  enemy=init(enemy, x, y, arg)

end
